Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76759 - xsane requires restart after each scanner 'action'
Summary: xsane requires restart after each scanner 'action'
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sane-backends
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-25 23:18 UTC by Adam Kropelin
Modified: 2007-04-18 16:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-18 14:41:05 UTC


Attachments (Terms of Use)
output of SANE_DEBUG_SM3600=128 xsane (deleted)
2002-10-29 05:57 UTC, John Heidemann
no flags Details

Description Adam Kropelin 2002-10-25 23:18:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
It seems I can only perform a single scanner 'action' (like acquiring a preview
image or scanning a page) and then I have to restart xsane before I can perform
another 'action'. For example, if I acquire a preview image and then click
'start' to scan it, the error "Failed to start scanner: Error during device I/O"
appears. I have to exit xsane and start it again before I can actually scan the
image.

Version-Release number of selected component (if applicable):
xsane-0.84-8

How reproducible:
Always

Steps to Reproduce:
1. Start xsane
2. Perform a scanner 'action' such as acquiring a preview image
3. Perform a second scanner 'action'
	

Actual Results:  Error message quoted above appears.

Expected Results:  The second 'action' should have been performed.

Additional info:

Scanner: Microtek ScanMaker 3600 USB

In order to access the scanner at all I have to run xsane as root, as described
in Bugzilla Bug 76757.

Comment 1 John Heidemann 2002-10-29 05:48:03 UTC
I have the same problem, with the same scanner (Microtek ScanMaker 3600).
For me it only worked once, and in all subsequent scans it gets
part way through and pops up a dialog box Error: "Failed to start scanner: Error
during device I/O"


Comment 2 John Heidemann 2002-10-29 05:57:08 UTC
Created attachment 82507 [details]
output of SANE_DEBUG_SM3600=128 xsane

Comment 3 Tim Waugh 2002-11-07 14:05:58 UTC
Do you get the same problem with sane-backends-1.0.9-1 (in rawhide)?

Comment 4 John Heidemann 2002-11-23 05:39:59 UTC
I tried upgrading to sane-backends-1.0.9-1 (in rawhide)
as recommended.
The problem seems better, but it does not go away.

Specifically, I can now do single scans (at least in lineart or grayscale,
havne't checked color).
But the I cannot do two scans in a row
without restarting xsane.


Comment 5 Forrest 2003-03-08 05:33:51 UTC
I have a ScanMaker 3700 that does the same thing.  I got it to work with Red Hat
Linux 7.2, using *sane* from 7.3, but when I installed 8.0, I couldn't get it to
work properly.  I tried downgrading to the *sane* from 7.3, but it gives the
same errors.

Comment 6 Nils Philippsen 2005-10-11 08:12:53 UTC
Is this problem present on a recent system (FC4 or Rawhide)?

Comment 7 Bill Nottingham 2006-10-18 14:41:05 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.